/*
Copyright 2011 MIKAEL GUILLEMOT

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package gameObjects;

import generated.ImageLoader;

import java.awt.image.BufferedImage;


/**
 *
 * @author	Mikael GUILLEMOT
 * @version 	1.0
 * creation :  5 novembre 2011
 *
 */
public class PictureGallery {

	private static final int libsize = 3;

	private static BufferedImage[] droite = {ImageLoader.monstre1d,ImageLoader.monstre2d,ImageLoader.monstre3d};
	private static BufferedImage[] gauche = {ImageLoader.monstre1g,ImageLoader.monstre2g,ImageLoader.monstre3g};
	
	public static BufferedImage getD(int i) {
		return droite[i];
	}
	
	public static BufferedImage getG(int i) {
		return gauche[i];
	}
	
	public static int prev(int i) {
		if(i>0)
			i--;
		return i;
	}
	
	public static int next(int i) {
		if(i<libsize-1)
			i++;
		return i;
	}
	

	
}
