/*
Copyright 2011 MIKAEL GUILLEMOT

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package tools;


/**
 *
 * @author	Mikael GUILLEMOT
 * @version 	1.0
 * creation :  5 novembre 2011
 *
 */
public class Names {
	
	public static String random() {
		lindex = new Double(Math.random()*100).intValue()%table.length;
		return table[lindex];
	}
	
	public static String next() {
		if (lindex <table.length) 
			lindex++;
		return table[lindex];
	}
	public static String preview() {
		if (lindex >0) 
			lindex--;
		return table[lindex];
	}
	
	private static String[] table ={"N'os-au",
		"Eyeyaeechtntb",
		"Ntckchnn",
		"Euauie",
		"Nor-eld'kia",
		"Ough-ryn-ia",
		"Nchrll",
		"Lgckleaoioo",
		"Wnzkooae",
		"Gndtrreiaiu",
		"Oouooeldnlk",
		"Ssnthiaea",
		"Tnndyoeeye",
		"Oaieyaypzft",
		"Oieueu",
		"Et\'ild\'pierr",
		"L\'yer_'ma",
		"Aueiou",
		"Pdrluiooi",
		"Aiaurtbrdst",
		"Ygnwauiae",
		"Fdttooae",
		"Nshdpiauai",
		"Roth'mor-shee",
		"Dra-ust-guih",
		"Rphnnk",
		"Aioieauimpcch",
		"Ayeairdmtc",
		"Uiaeouislshg",
		"Ououieedfdn",
		"Rltdtooio",
		"Ech-shy-ei",
		"Rrltg",
		"Ieeyeiey",
		"Dmckss",
		"Ger'ack'aeh",
		"Iaeoibddm",
		"Em-ris\'o",
		"Sphbh",
		"Ntqrrphoeiai",
		"Ououoessthm",
		"Ver'del'id",
		"Phdths",
		"Eaieaeooltdkn",
		"Pssffoauoi",
		"Jaud'say'o",
		"Geuw-che'u",
		"Aeoiauvkdk",
		"Cphntk",
		"Lwrvay",
		"K\'vor-chel",
		"Ooeioeasgsd",
		"Nthsd",
		"Llkyieoee",
		"Oeeouatsldrt",
		"Ayoiaueertcntll",
		"Oeaeieyvrdnnm",
		"Kich-dra\'ey",
		"Ang-ler\'ui",
		"Eayou",
		"Svnsaieuau",
		"Elm\'at\'aird",
		"Moesh\'ine\'a",
		"Ouayauefldsr",
		"Ylrrkioeeu",
		"Ssndnduooa",
		"Aoeeghsnts",
		"Rrgndeueaea",
		"Sain\'or-a",
		"Prrfrauouia",
		"Ash-vor-ne",
		"Eeuayestvll",
		"Lrnldooaya",
		"Puiv\'or\'ree",
		"Tlndr",
		"Uiaeaiebsskm",
		"Aueuiei",
		"En-lye-e",
		"Bdnnch",
		"Ieyai",
		"Thntrtsh",
		"Oeiearsnss"};
	
	private static int lindex = new Double(Math.random()*100).intValue()%table.length;
}
