package gameEngine;
import java.awt.Graphics2D;

/**
 * Interface permetant aux objets d'etre dessine dans la fenetre principale
 * 
 * @author	Mikael GUILLEMOT
 * @version 	1.0
 * creation :  4 novembre 2011
 *
 */

public interface Renderable {

	/**
	 * La methode de dessin : il suffi de dessiner dans buffer,
	 * le rendu se fait dans une fenetre de 640x480 dans l'ordre d'inscription
	 * des objets
	 */
	public void render(Graphics2D buffer);
}
